<?xml version="1.0"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:user="urn:my-script-block">
	<xsl:output encoding="UTF-8" indent="yes" method="xml" version="1.0"/>
	<xsl:param name="IA64">false</xsl:param>
	<xsl:variable name="lcletters">abcdefghijklmnopqrstuvwxyz</xsl:variable>
	<xsl:variable name="ucletters">ABCDEFGHIJKLMNOPQRSTUVWXYZ </xsl:variable>
	<!-- Ignore List -->
<!--	<xsl:variable name="g_nsFilteredPackages" select="/SWDiscovery/proliant_version_db/packages/package[@key != 'cqmghost.exe' and @key != 'cqmgserv.exe' and @key != 'cqmgstor.exe' and @key != 'cpqnimgt.exe' and @key != 'sym_u3.sys' ]"/> -->

	<!--Ignore "symmpi.sys" only if "lsi_scsi.sys" present -->
	<xsl:variable name="e_nsLsifound" select="/SWDiscovery/proliant_version_db/packages/package[@key='lsi_scsi.sys' and installation_instance/status/install_state = 'installed']" />
	<!-- Filter only Installed sw tags-->
	<xsl:variable name="g_nsActivePackages" select="/SWDiscovery/proliant_version_db/packages/package[(installation_instance/status/install_state = 'installed' and installation_instance/status/run_state = 'active' and substring(translate(@key,$ucletters,$lcletters),string-length(@key)-3 ,4) = '.sys') or (installation_instance/status/install_state = 'installed' and substring(translate(@key,$ucletters,$lcletters),string-length(@key)-3,4) != '.sys')]"/>

	<xsl:template match="SWDiscovery">
		<xsl:element name="swItemListmain">
			<xsl:element name="swItemList">
				<xsl:for-each select="$g_nsActivePackages">
					<xsl:variable name="lowkey" select="translate(@key,$ucletters,$lcletters)"/>
					<!--	Sorting List for showing only higher version-->
					<xsl:choose>
						<xsl:when test="$e_nsLsifound and @key='symmpi.sys'" />
						<xsl:when test="$lowkey = '' or @key = 'cqmghost.exe' or @key = 'cqmgserv.exe' or @key = 'cqmgstor.exe' or @key = 'cpqnimgt.exe' or @key = 'sym_u3.sys'" /> <!-- Common Ignore List-->
						<xsl:when test="$IA64 = 'true' and (@key = 'cpqteam.sys' or @key = 'ql2300.sys')" /> <!-- IA64 Ignore List-->
						<xsl:when test="$IA64 = 'false' and (@key = 'cpqteam.exe')" /><!-- x86 Ignore List-->
						<xsl:otherwise>
							<xsl:element name="swItem">
								<xsl:element name="key">
									<xsl:attribute name="Important">3</xsl:attribute>
									<xsl:value-of select="translate(@key,$ucletters,$lcletters)"/>
								</xsl:element>
								<xsl:element name="path"/>
								<xsl:element name="installedVer">
									<xsl:value-of select="installation_instance/version"/>
								</xsl:element>
								<xsl:element name="name">
									<xsl:element name="name_xlate">
										<xsl:attribute name="lang">en</xsl:attribute>
										<xsl:value-of select="installation_instance/component_name/component_name_xlate[@lang='en']"/>
									</xsl:element>
									<xsl:element name="name_xlate">
										<xsl:attribute name="lang">ja</xsl:attribute>
										<xsl:value-of select="installation_instance/component_name/component_name_xlate[@lang='ja']"/>
									</xsl:element>
								</xsl:element>
							</xsl:element>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
			</xsl:element>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
